#include "PlayerForm.h"

using namespace ObjDataEdit;

//######################################################################################################
//主要需要繼承的涵式
ReaderClass< DB_GameObjDbStruct >* PlayerForm::ObjReader( )
{
	return GameObjDbStructEx::ObjReader_Player( );
}
void    PlayerForm::OnActive()
{
	BaseForm::OnActive();
}
void    PlayerForm::OnSelectObj( bool LockOk )
{
    _ObjDB.GameData.Classification = EM_ObjectClass_Player;
//    panel1->Enabled = LockOk;
}
//輸出時額外設定
void    PlayerForm::OnOutputObjSetting( DB_GameObjDbStruct* TempObj )
{
    TempObj->GameData.Classification = EM_ObjectClass_Player;
}
void    PlayerForm::OnTimeProc()
{

}

int     PlayerForm::ObjSize(  )
{
    GameObjDbStruct *P = NULL;
    int Size = sizeof( GameObjDbStruct ) - sizeof( P->Temp ) +  sizeof( P->Player ) + 3;
    Size = Size & 0xfffffC;
    return Size;
}
//######################################################################################################
